3. View/Print
3.1. GetPopUpURL - URL to view the cash receipt
GET
https://popbill-test.linkhub.co.kr/Cashbill/{MgtKey}
GET
https://popbill.linkhub.co.kr/Cashbill/{MgtKey}
- This API returns the URL to view a single cash receipt on POPBiLL service website.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : POPUP |
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill/{MgtKey}?TG=POPUP' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
3.2. GetViewURL - URL to view the cash receipt [without menus/buttons]
GET
https://popbill-test.linkhub.co.kr/Cashbill/{MgtKey}
GET
https://popbill.linkhub.co.kr/Cashbill/{MgtKey}
- This API returns the URL to view a single cash receipt on POPBiLL service website (showing a page without menus and buttons).
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : VIEW |
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill/{MgtKey}?TG=VIEW' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=IRXSGITDREOTPOIRLPUHCB4BSBC4...NX7BMAR3="
}
3.3. GetPrintURL - URL to print the cash receipt
GET
https://popbill-test.linkhub.co.kr/Cashbill/{MgtKey}
GET
https://popbill.linkhub.co.kr/Cashbill/{MgtKey}
- This API returns the URL to print a single cash receipt.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : PRINT |
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill/{MgtKey}?TG=PRINT' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=IRXSGITDREOTPOIRLPUHCB4BSBC4...NX7BMAR3="
}
3.4. GetMassPrintURL - URL to print the cash receipts in bulk
POST
https://popbill-test.linkhub.co.kr/Cashbill/Prints
POST
https://popbill.linkhub.co.kr/Cashbill/Prints
- This API returns the URL to print multiple cash receipts in bulk. (Maximum : 100 cash receipts)
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Content-Type | Y | Request body format application/json |
|
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | array | - | Y |
List of Document ID of a cash receipt to print
maximum : 100 cash receipts
|
Request Example
curl --request POST \
--url 'https://{domain}/Cashbill/Prints' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '["TEST0001"]'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
3.5. GetMailURL - URL for the cash receipt notification mail button
GET
https://popbill-test.linkhub.co.kr/Cashbill/{MgtKey}
GET
https://popbill.linkhub.co.kr/Cashbill/{MgtKey}
- This API returns the URL to view a single cash receipt via confirmation button located on the bottom of a notification mail.
- Returned URL has no limit on valid time.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : MAIL |
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill/{MgtKey}?TG=MAIL' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/Cash/025102315531300001.E?T=Q5LM53CQT8UNP83LS259R5SQA...5EQG"
}
3.6. GetPDFURL - URL to download the cash receipt in PDF format
GET
https://popbill-test.linkhub.co.kr/Cashbill/{MgtKey}
GET
https://popbill.linkhub.co.kr/Cashbill/{MgtKey}
- This API returns the URL to download a cash receipts in PDF format.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : PDF |
Request Example
curl --request GET \
--url 'https://{domain}/Cashbill/{MgtKey}?TG=PDF' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=SRLKRJXIVD3BCHUOT57UJWIDWDEJYTKJNRF...P756YYKGQ===="
}
